For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTAdd a feature dependency.
      • DELDeletes feature dependencies.
      • DELDeletes a feature dependency.
      • GETList parent options.
      • GETList parent feature variants.
      • GETCheck dependencies exist.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIDependencies

Add a feature dependency.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/projects/:projectId/features/:child/dependencies
POST
/api/admin/projects/:projectId/features/:child/dependencies
$curl -X POST https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "feature": "parent_feature"
>}'
1{}
Add a dependency to a parent feature. Each environment will resolve corresponding dependency independently.
Was this page helpful?
Previous

Deletes feature dependencies.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
childstringRequired

Request

createDependentFeatureSchema
featurestringRequired
The name of the feature we depend on.
enabledbooleanOptional

Whether the parent feature should be enabled. When false variants are ignored. true by default.

variantslist of stringsOptional

The list of variants the parent feature should resolve to. Leave empty when you only want to check the enabled status.

Response

This response has no body.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error